using VOID.Generic.Dict;
using VOID.Generic.Objects.Unit;
using VOID.Generic.Player.Util;

namespace VOID.Generic.Player.DraggingOperation
{
    public class ActionBarToSceneDraggingOperation : AbstractDraggingOperation
    {
        public override bool Check(SelectUtilResult sourceSelect, SelectUtilResult targetSelect)
        {
            return sourceSelect.slotUI?.slotType == SlotType.ActionBarSlot
                   && targetSelect.slotUI?.slotType == null;
        }

        public override void Perform(UnitObject unit, SelectUtilResult sourceSelect, SelectUtilResult targetSelect)
        {
            sourceSelect.slotUI.Clear();
        }
    }
}